#!/bin/sh

source /usr/local/bin/functions.sh

log=$1
tmp_log="${log}_tmp"
current_time=`date +%s`
log_msg "searching for old temporary createdreport folders"
for folder in $(find /var/www/innovaphone/apps/innovaphone-reporting/tmp/createdreport* -type d -exec ls -d {} \; 2>/dev/null)
do
    found=0
    new_file=0
    for file in $(ls $folder)
    do
        found=$(($found + 1))
        file_time=`ls -l --time-style="+%s" $folder/$file | tail -n 1 | awk '{print $6}'`
        if [ -n "$file_time" ]; then
            diff=$[ $current_time - $file_time ]
            if [ ${diff} -lt 3600 ]; then
                new_file=$(($new_file + 1))
            fi
        fi
    done
    msg_add=""
    if [ $found -eq 0 -o $new_file -eq 0 ]; then
        rm -R $folder
        msg_add="deleted folder"
    else
        msg_add="skipped folder"
    fi
    log_msg "examining folder $folder, found $found files ($new_file new): $msg_add"
done
log_msg "searching for old temporary challenge files"
for file in $(find /var/www/innovaphone/apps/innovaphone-reporting/tmp/challenge* -type f -exec ls -d {} \; 2>/dev/null)
do
    found=0
    new_file=0
    file_time=`ls -l --time-style="+%s" $file | tail -n 1 | awk '{print $6}'`
    if [ -n "$file_time" ]; then
        diff=$[ $current_time - $file_time ]
        if [ ${diff} -gt 3600 ]; then
            log_msg "deleting challenge $file"
            rm $file
        fi
    fi
done
filesize=`ls -l ${log} | awk '{print $5}'`
if [ $filesize -gt 102400 ]; then
    tail -c 102400 ${log} > ${tmp_log}
    mv ${tmp_log} ${log}
fi
